Issue120

Title Allow users to report msg/file instances as misclassified
Priority feature Status resolved
Superseder Nosy List eric.araujo, ezio.melotti, forsberg, loewis, r.david.murray
Assigned To ezio.melotti Topics spambayes_integration

Created on 2007-07-27.16:13:46 by forsberg, last changed 2012-08-18.05:46:50 by ezio.melotti.

Files
File name Uploaded Type Edit Remove
issue120.diff ezio.melotti, 2012-05-23.01:37:28 text/plain
Messages
msg643 (view) Author: forsberg Date: 2007-07-27.16:13:46
Currently, there's no way for users to report msg/file instances that
have been misclassified by spambayes. There is a property for it on
file and msg, but no frontend.
msg645 (view) Author: forsberg Date: 2007-07-27.17:07:14
Coordinators should be alerted when a msg/file is marked as misclassified, to
allow them to reclassify the msg/file quickly. This can be done with a detector.
msg1817 (view) Author: eric.araujo Date: 2010-10-29.04:18:35
David, I hope you won’t mind me adding you to nosy.  What should we do with this problem?  When a message gets misclassified as spam, what is the user to do?
msg1847 (view) Author: r.david.murray Date: 2010-11-02.16:40:36
Reclassification requires elevated tracker privileges, for a good reason (can't have spambots reclassifying their own messages :)

If triage people don't have access to this function that should probably be changed.  At that point we could document that the way to request reclassification is to post a new message asking for the reclassification.  Then a triage person can fix it.

(The interface, by the way, is accessed from the 'view' of the message, if you have the appropriate privileges.)
msg1849 (view) Author: eric.araujo Date: 2010-11-02.23:47:03
> Reclassification requires elevated tracker privileges, for a good reason
Right.  Is there a list of users with admin rights somewhere?

> If triage people don't have access to this function that should probably be
> changed. [...] (The interface, by the way, is accessed from the 'view' of the
> message, if you have the appropriate privileges
I can’t test right now, I don’t remember the id of my message that was classified as spam.  Will test as soon as possible.
msg2176 (view) Author: ezio.melotti Date: 2011-07-26.05:48:47
AFAIK reclassification requires "Coordinator" privileges, and there are probably a dozen of coordinators.  I think it would be OK to allow all "Developers" to reclassify messages.

I recently saw a developer asking on #python-dev if someone with enough privileges could reclassify a message, but developers that are not on IRC would have to know who has the privileges and send them a mail (or ask to tracker-discuss or something).
msg2308 (view) Author: eric.araujo Date: 2011-11-24.17:15:38
Allowing all developers to reclassify messages sounds good.
msg2517 (view) Author: ezio.melotti Date: 2012-05-23.01:37:28
The attached patch should enable developers to reclassify spam.
I'm not sure what's the best way to test it though (I would need either a spammy message and a non-coordinator account).
msg2572 (view) Author: loewis Date: 2012-08-17.19:07:41
Ezio: I think this is fine (except perhaps that developers may be unaware what exactly the ham/spam classification means). To test it, you'll find plenty messages in the tracker. To change your roles, just use roundup-admin on the command line (I think dropping the coordinator role can actually be done through the UI - regaining would require to log in with the "admin" account, which we don't use in the web interface).
msg2573 (view) Author: ezio.melotti Date: 2012-08-18.05:46:50
Applied in 5872f58e0e4e.
History
Date User Action Args
2012-08-18 05:46:50ezio.melottisetstatus: chatting -> resolved
messages: + msg2573
2012-08-17 19:07:42loewissetnosy: + loewis
messages: + msg2572
2012-05-23 01:37:29ezio.melottisetfiles: + issue120.diff
assignedto: ezio.melotti
messages: + msg2517
2011-11-24 17:15:38eric.araujosetmessages: + msg2308
2011-07-26 05:48:47ezio.melottisetnosy: + ezio.melotti
messages: + msg2176
2010-11-02 23:47:03eric.araujosetmessages: + msg1849
2010-11-02 16:40:37r.david.murraysetmessages: + msg1847
2010-10-29 04:18:35eric.araujosetnosy: + r.david.murray, eric.araujo
messages: + msg1817
2007-07-27 17:07:14forsbergsetstatus: unread -> chatting
messages: + msg645
2007-07-27 16:15:07forsbergsettopic: + spambayes_integration
2007-07-27 16:13:46forsbergcreate